<?php

ini_set('display_errors', 1);
date_default_timezone_set("Europe/Paris");
require 'vendor/autoload.php';

	$options = Array();
	$options["user"]  = Array("name"=>"admin", "password"=>"ae5or6cn", "domain"=>["id"=>"Default"]);
	$options["scope"] = Array("project"=>Array("name"=>"admin", "domain"=>["id"=>"Default"]));
	$options["authUrl"] = "http://148.60.11.31:5000/v3"; 
	$openstack = new OpenStack\OpenStack($options);
	$networking = $openstack->networkingV2(["region"=>"RegionOne"]);
	$ln = $networking->listNetworks();





$array = $networking->createSubnet(array(
    'name' => 'SubOthmane',
    'networkId' => '5f78d3c1-1f53-4be7-897b-cf3c797961e0',
    'ipVersion' => 4,
    'cidr' => '192.168.0.0/24'
));






